Page MenuHomePhabricator

Move material/guidelines for general "Introduction to Wikimedia Tech" talk on a wikipage
Closed, ResolvedPublic

Description

At Wikimania 2015 I ran an T102238: "Introduction to Wikimedia Tech" session (on first Hackathon day) (that task includes a list of web pages to show).
And @AndyRussG gave an (improved) version in Spanish, with slides and pretty nice graphics of the "stack": T105602: Spanish track: Introducción a las tecnologías del movimiento Wikimedia. Un espacio para los novatos y sus compañeros de hackeo. / Introduction to Wikimedia Tech for newcomers and their buddies.

Turn that into a (translatable) wikipage (we basically have en and es already) with bullet points. Add more specific examples to present to talk attendees, so the talk becomes less abstract and more hands-on (e.g. Template use etc).

Dumping a draft here:


An Introduction to and an Overview of Wikimedia Tech: Technical areas, Infrastructure, and Communication.

Event Timeline

Aklapper raised the priority of this task from to Low.
Aklapper updated the task description. (Show Details)
Aklapper added a project: Developer-Advocacy.
Aklapper added subscribers: Aklapper, AndyRussG.

Hi! Here are the slides and the graphic mentioned above. Hope they're useful!

Aklapper claimed this task.Jul 26 2015, 1:59 PM
Aklapper updated the task description. (Show Details)
Aklapper set Security to None.
Aklapper added a project: ECT-August-2015.

I've dumped an improved/updated list of topics above and adapted most of your pretty great descriptions of areas. Wasn't sure where to add Analytics and documentation but please feel free to add them.

Aklapper moved this task from Backlog to Ready to Go on the ECT-August-2015 board.Aug 3 2015, 7:51 PM

IMHO this is "ready to go" (copy above desc over to a wikipage) I'm just entirely clueless how to name that page on mediawiki.org or which pages should link to it (e.g. does "Presentation Material" or such exist?) so people could actually find it.

Qgil added a subscriber: Qgil.Aug 24 2015, 8:30 AM

What about improving https://www.mediawiki.org/wiki/Starter_kit ? Then we could link the kit from the main sentence at https://www.mediawiki.org/wiki/How_to_contribute (afted discussing etc). From here it should get the popularity it deserves.

I assume you mean merging the content into of "Introduction to Wikimedia Tech" into that page? Sounds pretty good to me, thanks.

Then we could link the kit from the main sentence at https://www.mediawiki.org/wiki/How_to_contribute (after discussing etc).

"Main sentence" being "Learn how you can contribute to MediaWiki and the free culture community."?

Qgil added a comment.Aug 27 2015, 7:31 AM

About the link to Starter kit from How to contribute, I have created https://www.mediawiki.org/wiki/Topic:Sns0zolnaz95xioy. Let's continue this specific discussion there.

Aklapper closed this task as Resolved.Sep 14 2015, 5:13 PM

Added to
https://www.mediawiki.org/w/index.php?title=Starter_kit&type=revision&diff=1881825&oldid=1878952 and https://www.mediawiki.org/w/index.php?title=How_to_contribute&type=revision&diff=1881818&oldid=1878947 plus added AWight's diagram.

Still not fully happy with redundancy (e.g. Translation and API are mentioned on both pages), but "good enough" I'd say. Resolving.

Qgil awarded a token.Sep 15 2015, 7:12 AM